APF-Tracker

Adventure PHP Framework Issue Management


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000207Adventure PHP FrameworkCode-Verbesserung // Code improvementpublic2014-06-17 09:532015-10-12 12:19
ReporterChristianAchatz 
Assigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0000207: Remove dependency of attributes management from APFObject
DescriptionAPFObject includes attribute handling for XML tags which should be based in Document as Document - from a class design standpoint - represents an XML node.

Due to the fact that some of the components rely on getAttribute()/setAttributes() being present in APFObject this dependency has not been cleaned up in the past.

Within this task, this dependency should be removed and especially the Frontcontroller implementation (FrontcontrollerInput) should be given a separate implementation for storing action URL parameters.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore
Attached Files

- Relationships

-  Notes
(0000399)
ChristianAchatz (administrator)
2014-06-21 18:39

Implementation done. Migration tasks necessary described under http://wiki.adventure-php-framework.org/Migration_von_2.1_auf_2.2#Front-Controller. [^]

- Issue History
Date Modified Username Field Change
2014-06-17 09:53 ChristianAchatz New Issue
2014-06-17 09:53 ChristianAchatz Status new => assigned
2014-06-17 09:53 ChristianAchatz Assigned To => ChristianAchatz
2014-06-21 18:39 ChristianAchatz Note Added: 0000399
2014-06-21 18:39 ChristianAchatz Status assigned => resolved
2014-06-21 18:39 ChristianAchatz Fixed in Version => 3.0
2014-06-21 18:39 ChristianAchatz Resolution open => fixed
2014-06-28 16:09 ChristianAchatz Summary Remove dependency of atributes management from APFObject => Remove dependency of attributes management from APFObject
2015-10-12 12:19 ChristianAchatz Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker